<?php

namespace App\Http\Controllers\Owner\BookingTourPassenger;

use App\Http\Controllers\Controller;

use App\Http\Helpers\ResponseBuilder;
use App\Modules\BookingTourPassenger\Application\BookingTourPassengerReviewLister;
use App\Modules\BookingTourPassenger\Domain\IdBookingTourPassenger;
use App\Modules\BookingTourPassenger\Infraestructure\MysqlBookingTourPassengerReviewRepository;

final class Review extends Controller
{
    public function __construct()
    {
    }

    public function __invoke(int $Id_BookingTourPassenger)
    {
        $response = (new BookingTourPassengerReviewLister(new MysqlBookingTourPassengerReviewRepository))->__invoke(
            new IdBookingTourPassenger($Id_BookingTourPassenger),
        );
        return ResponseBuilder::Response($response);
    }
}
